Subject: [xrblock] Burst Discard Count

From: Varun Singh <[email-masked]>
Date: Thu, 26 Feb 2015 13:34:04 +0200

Hi all,

While preparing the -01 version of the
draft-ietf-xrblock-rtcweb-rtcp-xr-metrics, I noticed that the
RFC6958 - Burst/Gap Loss reports a "burst count" metric, which
indicates the number of bursts  in an reporting interval (cumulative
or arbitrary time interval). However, RFC7003 does not report a
corresponding burst count metric for discarded packets.

I forget if this was discussed before, but it appears to be an
oversight, as arguments for including burst count for loss also apply
to burst discards -- unless I am missing something or it is defined
elsewhere. How do we fix this?

This may be non-blocking for the rtcweb metrics as we could instead
use the burstLossRate and burstDiscardRate which are defined in the
summary statistics in RFC7004.

Thanks and Regards,
Varun

-- 
http://www.callstats.io

---

From: Qin Wu <[email-masked]>
Date: Fri, 27 Feb 2015 02:05:51 +0000

The argument is correct, but when the burst count for loss and burst count for discard are corresponding to the same reported source, the value for them are probably same.
Also burst gap discard is intended to be sent together with burst gap loss.
See the section 1 of RFC7003:
"
This block is intended to be used in conjunction with [RFC7002], which provides the
total packets discarded and on which this block therefore depends.
However, the metric in [RFC7002] may be used independently of the
metrics in this block.
"

-Qin
-----邮件原件-----
发件人: xrblock [mailto:[email-masked]] 代表 Varun Singh
发送时间: 2015年2月26日 19:34
收件人: [email-masked]
主题: [xrblock] Burst Discard Count

Hi all,

While preparing the -01 version of the
draft-ietf-xrblock-rtcweb-rtcp-xr-metrics, I noticed that the
RFC6958 - Burst/Gap Loss reports a "burst count" metric, which indicates the number of bursts  in an reporting interval (cumulative or arbitrary time interval). However, RFC7003 does not report a corresponding burst count metric for discarded packets.

I forget if this was discussed before, but it appears to be an oversight, as arguments for including burst count for loss also apply to burst discards -- unless I am missing something or it is defined elsewhere. How do we fix this?

This may be non-blocking for the rtcweb metrics as we could instead use the burstLossRate and burstDiscardRate which are defined in the summary statistics in RFC7004.

Thanks and Regards,
Varun

--
http://www.callstats.io

_______________________________________________
xrblock mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xrblock

---

From: Varun Singh <[email-masked]>
Date: Fri, 27 Feb 2015 13:35:56 +0200

Hi Qin,

> The argument is correct, but when the burst count for loss and burst count for discard are corresponding to the same reported source, the value for them are probably same.

To confirm, the burstCount indicates the number of intervals where
bursts occur, and not the packets in an individual bursts.

I think the implicit assumption is that losses and discards are
correlated, and that discards may occur before losses. However,
consider a congestion control algorithm that is sensitive to discards
may correct before any losses occur. Then the burstCount measuring
only losses would not increase  and hence burst discards count will
not correspond to burst loss count.

-- 
http://www.callstats.io

---

From: Qin Wu <[email-masked]>
Date: Sat, 28 Feb 2015 02:40:59 +0000

-----邮件原件-----
发件人: Varun Singh [mailto:[email-masked]] 
发送时间: 2015年2月27日 19:36
收件人: Qin Wu
抄送: [email-masked]
主题: Re: [xrblock] Burst Discard Count

Hi Qin,

> The argument is correct, but when the burst count for loss and burst count for discard are corresponding to the same reported source, the value for them are probably same.

To confirm, the burstCount indicates the number of intervals where bursts occur, and not the packets in an individual bursts.

I think the implicit assumption is that losses and discards are correlated, and that discards may occur before losses. However, consider a congestion control algorithm that is sensitive to discards may correct before any losses occur. Then the burstCount measuring only losses would not increase  and hence burst discards count will not correspond to burst loss count.

[Qin]: Somebody questioned the usefulness of burst gap discard report. Therefore Combined loss/discard report was proposed to address this issue.
http://www.ietf.org/mail-archive/web/xrblock/current/msg00172.html
http://www.ietf.org/mail-archive/web/xrblock/current/msg00264.html

> This block is intended to be used in conjunction with [RFC7002], which 
> provides the total packets discarded and on which this block therefore depends.

--
http://www.callstats.io

---

From: Bernard Aboba <[email-masked]>
Date: Fri, 27 Feb 2015 19:21:47 -0800

Also consider a FEC scheme that is dynamic and can adjust for burst loss as well as supporting retransmission of packets and FEC.  In that situation, losses most certainly do not equal discards. 

> On Feb 27, 2015, at 3:36 AM, Varun Singh <[email-masked]> wrote:
>